Bug 670701 - Review Request: ghc-ansi-terminal - Haskell ansi-terminal library
Review Request: ghc-ansi-terminal - Haskell ansi-terminal library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-18 21:04 EST by Shakthi Kannan
Modified: 2011-02-03 15:20 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-ansi-terminal-0.5.5-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-03 15:20:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
Patch for summary and description (581 bytes, patch)
2011-01-21 23:46 EST, Narasimhan
no flags Details | Diff

  None (edit)
Description Shakthi Kannan 2011-01-18 21:04:13 EST
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-ansi-terminal.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-ansi-terminal-0.5.5-1.fc14.src.rpm
Description: Haskell ansi-terminal library
Comment 1 Shakthi Kannan 2011-01-18 21:08:19 EST
Successful Koji builds for F-14, EL-6:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2730313
http://koji.fedoraproject.org/koji/taskinfo?taskID=2730314

$ rpmlint ghc-ansi-terminal.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-ansi-terminal-0.5.5-1.fc14.src.rpm 
ghc-ansi-terminal.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-ansi-terminal.src: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint ghc-ansi-terminal-0.5.5-1.fc14.i686.rpm 
ghc-ansi-terminal.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-ansi-terminal.i686: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint ghc-ansi-terminal-devel-0.5.5-1.fc14.i686.rpm 
ghc-ansi-terminal-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-ansi-terminal-devel.i686: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint ghc-ansi-terminal-prof-0.5.5-1.fc14.i686.rpm 
ghc-ansi-terminal-prof.i686: E: devel-dependency ghc-ansi-terminal-devel
ghc-ansi-terminal-prof.i686: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
ghc-ansi-terminal-prof.i686: W: no-documentation
ghc-ansi-terminal-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/ansi-terminal-0.5.5/libHSansi-terminal-0.5.5_p.a
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
Comment 2 Narasimhan 2011-01-21 23:45:19 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint -i  ghc-ansi-terminal.spec f14/ghc-ansi-terminal-*.rpm 
ghc-ansi-terminal.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-ansi-terminal.i686: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-ansi-terminal.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-ansi-terminal.src: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-ansi-terminal-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-ansi-terminal-devel.i686: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-ansi-terminal-prof.i686: E: devel-dependency ghc-ansi-terminal-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-ansi-terminal-prof.i686: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-ansi-terminal-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-ansi-terminal-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/ansi-terminal-0.5.5/libHSansi-terminal-0.5.5_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 9 warnings.
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK, based on cabal2spec-0.22.2. Please upgrade to cabal2spec 0.22.4
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK, upgrade to cabal2spec 0.22.4
        %clean is ignored - present anyway. OK, upgrade to cabal2spec 0.22.4
        Build Requires list - OK
        Summary and description - OK, patch provides modified summary and description
        API documentation - OK, in devel package (from F14 onwards)

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
License is BSD
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file provides the license text. Packaged in base package
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum  ansi-terminal-0.5.5.tar.gz 
5ad9e6561f0de1a2e98b6c72d119ea75  ansi-terminal-0.5.5.tar.gz

md5sum ghc-ansi-terminal-0.5.5-1.fc14.src/ansi-terminal-0.5.5.tar.gz 
5ad9e6561f0de1a2e98b6c72d119ea75  ghc-ansi-terminal-0.5.5-1.fc14.src/ansi-terminal-0.5.5.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86 and x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-ansi-terminal
error: Failed dependencies:
	ghc-ansi-terminal = 0.5.5-1.f13 is needed by (installed) ghc-ansi-terminal-devel-0.5.5-1.f13.i686

rpm -e ghc-ansi-terminal-devel
error: Failed dependencies:
	ghc-ansi-terminal-devel = 0.5.5-1.f13 is needed by (installed) ghc-ansi-terminal-prof-0.5.5-1.f13.i686

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Imported System.Console.ANSI from ghci. Works fine
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Narasimhan 2011-01-21 23:46:44 EST
Created attachment 474717 [details]
Patch for summary and description
Comment 4 Narasimhan 2011-01-21 23:47:15 EST
Please upgrade to cabal2spec 0.22.4
Comment 5 Shakthi Kannan 2011-01-22 11:29:10 EST
New Package SCM Request
=======================
Package Name: ghc-ansi-terminal
Short Description: A library to provide simple ANSI terminal support
Owners: shakthimaan chitlesh
Branches: F-14 EL-6
InitialCC: haskell-sig
Comment 6 Jason Tibbitts 2011-01-24 12:45:59 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-01-25 22:24:54 EST
ghc-ansi-terminal-0.5.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-ansi-terminal-0.5.5-1.fc14
Comment 8 Fedora Update System 2011-01-26 15:54:52 EST
ghc-ansi-terminal-0.5.5-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-ansi-terminal'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-ansi-terminal-0.5.5-1.fc14
Comment 9 Fedora Update System 2011-02-03 15:19:56 EST
ghc-ansi-terminal-0.5.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.